%define product        CMFQuickInstallerTool
%define version        1.5.9
%define release        1

%define zope_minver    2.7

%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Summary:        A facility for activation/deactivation of CMF products inside a CMF site
Name:           zope-%{product}
Version:        %{version}
Release:        %mkrel %{release}
License:        GPL
Group:          System/Servers
Source:         http://plone.org/products/cmfquickinstallertool/releases/%{version}/CMFQuickInstallerTool-%{version}.tar.bz2
URL:            http://sourceforge.net/projects/collective
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       zope >= %{zope_minver}
Requires:       zope-CMF

%description
CMFQuickInstallerTool is a facility for comfortable
activation/deactivation of CMF compliant products inside a CMF
site.

Therefore it has to be installed as a tool inside a CMF portal,
where it stores the information about the installed products.

The requirements for a product to be installable with
QuickInstallerTool are quite simple (almost all existing CMF
products fulfill them):

  External Product:  The product has to implement an external
                     method 'install' in a python module 'Install.py'
                     in its Extensions directory.

  TTW Product: The product has to have a 'Install' folder
               and have a python script titled 'install' inside
               that folder.

Products can be uninstalled and QuickInstellerTool removes
the following items a product creates during install:

portal types,
portal skins,
portal actions,
portalobjects (objects created in the root of the portal),
workflows,
left and right slots (also checks them only for the portal)

Attention: QuickInstallerTool just tracks which objects are
ADDED, but not what is changed or deleted.

second Attention:
QuickInstallerTool just can uninstall products that are
installed via QuickInstallerTool


%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
rm -rf %{buildroot}%{software_home}/Products/%{product}/debian

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*


%changelog
* Tue Aug 08 2006 glehmann
+ 08/08/06 13:02:39 (54438)
update to 1.5.9

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 16:30:29 (54002)
- Fix  rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:57:52 (42752)
Import zope-CMFQuickInstallerTool

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.7-1mdk
- 1.5.7

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.5-2mdk
- fix path on x86_64

* Thu Aug 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.5-1mdk
- New release 1.5.5

* Tue Jun 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.3-1mdk
- New release 1.5.3
- fix too long summary and description
- fix non executable script warning

* Sun Apr 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.2-1mdk
- New release 1.5.2
- use mkrel

* Thu Jan 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.5.1-1mdk
- initial contrib

